<?php 
require_once("../../conexao.php");

$nome = $_POST['nome'];
$id = $_POST['id'];

//validar nome
$query = $pdo->query("SELECT * FROM cargos where nome = '$nome'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0 and $res[0]['id'] != $id){
	echo 'Cargo já Cadastrado, escolha Outro!';
	exit();
}

if($id == ""){
	$query = $pdo->prepare("INSERT INTO cargos SET nome = :nome");
}else{
	$query = $pdo->prepare("UPDATE cargos SET nome = :nome WHERE id = '$id'");
}

$query->bindValue(":nome", "$nome");
$query->execute();

echo 'Salvo com Sucesso'; 

?>